Bug 1228943 - Review Request: python-frappe-bench - Tool to admin Frappe apps
Summary: Review Request: python-frappe-bench - Tool to admin Frappe apps
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Eduardo Mayorga
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1228941
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-06-06 22:19 UTC by William Moreno
Modified: 2015-07-27 21:37 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-07-27 21:37:29 UTC
Type: ---
e: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description William Moreno 2015-06-06 22:19:52 UTC
Spec URL: http://rmsconsultoresnicaragua.com/rpmdev/python-frappe-bench.spec
SRPM URL: http://rmsconsultoresnicaragua.com/rpmdev/python-frappe-bench-0.92-1.fc22.src.rpm
Description: Tool for admin Frappe apps
Fedora Account System Username: williamjmorenor

Comment 2 William Moreno 2015-07-22 02:16:20 UTC
Rawhide build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=10431138

Comment 3 Eduardo Mayorga 2015-07-25 05:09:40 UTC
Did you forget to update the manpage? It's empty.

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated


Issues:
=======
- /etc/frappe_bench_dir is not maked as a configuration file. You can do it by using the %config macro in %files.
- The URL in Source0 is invalid.

===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated". 9 files have unknown license. Detailed
     output of licensecheck in /home/mayorga/1228943-python-frappe-
     bench/licensecheck.txt
[x]: Package does not own files or directories owned by other packages.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[-]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[!]: Sources can be downloaded from URI in Source: tag
     Note: Could not download Source0:
     https://github.com/frappe/bench/releases/tag/v0.92.tar.gz
     See: http://fedoraproject.org/wiki/Packaging:Guidelines#Tags
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: SourceX tarball generation or download is documented.
     Note: Package contains tarball without URL, check comments
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[-]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python-frappe-bench-0.92-1.fc24.noarch.rpm
          python-frappe-bench-0.92-1.fc24.src.rpm
python-frappe-bench.noarch: W: non-conffile-in-etc /etc/frappe_bench_dir
python-frappe-bench.src: W: invalid-url Source0: https://github.com/frappe/bench/releases/tag/v0.92.tar.gz HTTP Error 404: Not Found
2 packages and 0 specfiles checked; 0 errors, 2 warnings.




Rpmlint (installed packages)
----------------------------
python-frappe-bench.noarch: W: invalid-url URL: https://github.com/frappe/bench <urlopen error [Errno -5] No address associated with hostname>
python-frappe-bench.noarch: W: non-conffile-in-etc /etc/frappe_bench_dir
1 packages and 0 specfiles checked; 0 errors, 2 warnings.



Requires
--------
python-frappe-bench (rpmlib, GLIBC filtered):
    /usr/bin/python
    /usr/bin/python2
    GitPython
    python(abi)
    python-celery
    python-click
    python-honcho
    python-jinja2
    python-rauth
    python-requests
    python-semantic_version



Provides
--------
python-frappe-bench:
    python-frappe-bench

Comment 4 Eduardo Mayorga 2015-07-27 03:33:40 UTC
Drop BuildRequires: python. It's always included in the chroot.

Comment 6 Eduardo Mayorga 2015-07-27 03:49:31 UTC
Now it looks fine.

PACKAGE APPROVED

Comment 7 William Moreno 2015-07-27 04:01:05 UTC
New Package SCM Request
=======================
Package Name: python-frappe-bench
Short Description: Tool to admin Frappe apps
Upstream URL: https://github.com/frappe/bench
Owners: williamjmorenor mayorga
Branches: f23 master
InitialCC: williamjmorenor mayorga

Comment 8 Gwyn Ciesla 2015-07-27 19:14:55 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.